Subject: Re: bug#32720: term-mode ignores certain window size changes

From: martin rudalics <[email-masked]>
Date: Sat, 17 Nov 2018 19:40:01 +0100

> OK (although I don't like putting functions on hooks in the core).

Neither do I.

 >> +;; Remove the following call in Emacs 27, running
 >> +;; 'window-size-change-functions' should suffice.
 >>   (add-hook 'window-configuration-change-hook 'window--adjust-process-windows)
 >
 > Why not do that now?

Because Gary has not tested it ;-)

More seriously: I have no idea how 'adjust-window-size-function' and
the function specified by 'window-adjust-process-window-size-function'
work in practice.  If they rely on anything beyond a window's
dimensions (for example, on which other buffers are displayed on a
frame), then not calling 'window--adjust-process-windows' for
'window-configuration-change-hook' might miss something.  I'd rather
reserve such subtleties for Emacs 27.

martin